commit d2ddb2b9ad2b601a0e1929cefcdf21f81f7c99f2
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed May 10 00:19:30 2023 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index c7cf1827737..55a23b47eeb 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,15 @@
+2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/109778
+	* wide-int.h (wi::lrotate, wi::rrotate): Call wi::lrshift on
+	wi::zext (x, width) rather than x if width != precision, rather
+	than using wi::zext (right, width) after the shift.
+	* tree-ssa-ccp.c (bit_value_binop): Call wi::ext on the results
+	of wi::lrotate or wi::rrotate.
+
 2023-05-04  Richard Biener  <rguenther@suse.de>
 
 	Revert:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d3869af5806..c5a9ee88f24 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230509
+20230510
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 34d0f8d74ec..22d8bc74181 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,20 @@
+2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/109778
+	* gcc.dg/lto/pr109778_0.c: New test.
+	* gcc.dg/lto/pr109778_1.c: New file.
+
+2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/109778
+	* gcc.c-torture/execute/pr109778.c: New test.
+
 2023-05-04  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

